
Name:		task-kde-plasma
Summary:	Install the KDE Plasma desktop
Version:	2021
Release:	%mkrel 2
Group:		Tasks
URL:		http://kde.org
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: kde-plasma-config
# The QT stuff
Requires: lib64qt5bluetooth5
Requires: lib64qt5concurrent5
Requires: lib64qt5core5
Requires: lib64qt5-database-plugin-mysql
Requires: lib64qt5-database-plugin-sqlite
Requires: lib64qt5dbus5
Requires: lib64qt5eglfsdeviceintegration5
Requires: lib64qt5eglfskmssupport5
Requires: lib64qt5gui5
Requires: lib64qt5labstemplates5
Requires: lib64qt5multimedia5
Requires: lib64qt5multimediagsttools5
Requires: lib64qt5multimediaquick5
Requires: lib64qt5multimediawidgets5
Requires: lib64qt5network5
Requires: lib64qt5opengl5
Requires: lib64qt5positioning5
Requires: lib64qt5printsupport5
Requires: lib64qt5qml5
Requires: lib64qt5quick5
Requires: lib64qt5quickparticles5
Requires: lib64qt5quickshapes5
Requires: lib64qt5quicktemplates5
Requires: lib64qt5quicktest5
Requires: lib64qt5quickwidgets5
Requires: lib64qt5script5
Requires: lib64qt5sensors5
Requires: lib64qt5sql5
Requires: lib64qt5svg5
Requires: lib64qt5test5
Requires: lib64qt5texttospeech5
Requires: lib64qt5webchannel5
Requires: lib64qt5widgets5
Requires: lib64qt5x11extras5
Requires: lib64qt5xcbqpa5
Requires: lib64qt5xml5
Requires: lib64qt5xmlpatterns5
Requires: lib64webengine5
Requires: qtbase5-common
Requires: qtbluetooth5
Requires: qtdeclarative5
Requires: qtgraphicaleffects5
Requires: qtimageformats5
Requires: qtmultimedia5
Requires: qtquickcontrols25
Requires: qtquickcontrols5
Requires: qtspeech5
Requires: qttools5
Requires: qttools5-qtdbus
Requires: qttranslations5
Requires: qtwebengine5
Requires: qtxmlpatterns5-xmlpatterns

Requires: baloo-widgets
Requires: dolphin
Requires: dolphin-plugins
Requires: ffmpegthumbs
Requires: kdebugsettings
Requires: kdegraphics-thumbnailers
Requires: kdialog
Requires: khelpcenter
Requires: kholidays
Requires: kio-extras
Requires: konsole
Requires: ktexteditor-plugins
Requires: kwalletmanager
Requires: kwrite
Requires: lib64kf5holidays5
Requires: libkdcraw
Requires: libkexiv2

Requires: bluedevil
Requires: breeze
Requires: breeze-common
Requires: breeze-gtk
Requires: kactivitymanagerd
Requires: kde-cli-tools
Requires: kde-gtk-config
Requires: kdeplasma-addons
Requires: kgamma5
Requires: khotkeys
Requires: kinfocenter
Requires: kmenuedit
Requires: kscreen
Requires: kscreenlocker
Requires: ksshaskpass
Requires: ksysguard
Requires: kwallet-pam
Requires: kwayland-integration
Requires: kwin
Requires: kwrited
Requires: lib64kf5decoration5
Requires: lib64kf5decorationprivate5
Requires: lib64kf5kscreen5
Requires: lib64ksgrd5
Requires: lib64ksignalplotter5
Requires: lib64processcore5
Requires: lib64processui5
Requires: libkscreen
Requires: milou
Requires: oxygen
Requires: plasma-browser-integration
Requires: plasma-desktop
Requires: plasma-integration
Requires: plasma-pa
Requires: plasma-workspace
Requires: polkit-kde-agent-1
Requires: powerdevil
Requires: systemsettings

Requires: baloo5
Requires: bluez-qt
Requires: breeze-icons
Requires: frameworkintegration
Requires: kactivities5
Requires: kactivities5-stats
Requires: kapidox
Requires: kauth
Requires: kcmutils
Requires: kconfig
Requires: kconfigwidgets
Requires: kcoreaddons
Requires: kdbusaddons
Requires: kdeclarative
Requires: kded
Requires: kdelibs4support
Requires: kdesu
Requires: kdoctools
Requires: kemoticons
Requires: kfilemetadata5
Requires: kglobalaccel
Requires: khtml
Requires: ki18n
Requires: kiconthemes
Requires: kidletime
Requires: kimageformats
Requires: kinit
Requires: kio
Requires: kirigami
Requires: kjs
Requires: kjsembed
Requires: knewstuff
Requires: knotifications
Requires: kpackage
Requires: kparts
Requires: kpeople
Requires: kross
Requires: krunner
Requires: kservice
Requires: ktexteditor
Requires: ktextwidgets
Requires: kwallet
Requires: kwayland
Requires: kwidgetsaddons
Requires: kwindowsystem
Requires: kxmlgui
Requires: lib64attica5
Requires: lib64karchive5
Requires: lib64kcodecs5
Requires: lib64kf5bookmarks5
Requires: lib64kf5completion5
Requires: lib64kf5crash5
Requires: lib64kf5guiaddons5
Requires: lib64kf5jobwidgets5
Requires: lib64kf5kdnssd5
Requires: lib64kf5networkmanagerqt5
Requires: lib64kf5notifyconfig5
Requires: lib64kf5prison5
Requires: lib64kf5pty5
Requires: lib64kf5sonnetcore5
Requires: lib64kf5sonnetui5
Requires: lib64kf5threadweaver5
Requires: lib64kf5unitconversion5
Requires: lib64kitemmodels5
Requires: lib64kitemviews5
Requires: lib64syntaxhighlighting5
Requires: plasma-framework
Requires: purpose
Requires: qqc2-desktop-style
Requires: solid
Requires: sonnet

#misc
Requires: fonts-ttf-opensans
Requires: la-capitaine-icons
Requires: plasma5-applets-eventcalendar
Requires: plasma5-applets-simplemenu
Requires: plasma5-applets-tiledmenu
Requires: sddm
Requires: wallpaper-theme-pclinuxos
Requires: xsettings-kde
Requires: audiothumbs-frameworks
Requires: aumix-text
Requires: phonon4qt5
Requires: phonon4qt5-vlc
Requires: pulseaudio
Requires: pulseaudio-client-config
Requires: pulseaudio-module-bluetooth
Requires: pulseaudio-module-jack
Requires: pulseaudio-module-lirc
Requires: pulseaudio-module-x11
Requires: pulseaudio-module-zeroconf
Requires: pulseaudio-utils
Requires: alsa-plugins-pulse-config
Requires: lib64alsa-plugins-pulseaudio
Requires: lib64pulseaudio0
Requires: lib64pulseglib20
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-ugly
Requires: fonts-ttf-ubuntu

Conflicts: apulse

%description
This package will install the KDE Plasma desktop
to your existing installation.

%files
%defattr(-,root,root)


%changelog
* Sun Aug 15 2021 tex 2021-2pclos2021
- add req fonts-ttf-opensans

* Sat Aug 14 2021 tex - 2021-1pclos2021
- adjust pkg

* Thu Jul 29 2021 tex- 2019-3pclos2021
- drop pulseaudio-esound-compat

* Thu Jul 25 2019 tex - 2019-2pclos2019
- add conflicts apulse 
- add pulse enable

* Tue Jul 23 2019 tex - 2019-1pclos2019
- first try
